diff -urN -X dontdiff linux/Documentation/Configure.help linux-cleanup/Documentation/Configure.help
--- linux/Documentation/Configure.help	Fri Mar 10 10:27:12 2000
+++ linux-cleanup/Documentation/Configure.help	Fri Mar 10 16:59:57 2000
@@ -11151,10 +11151,8 @@
   Intel processors in P6 family, e.g.  Pentium Pro, Pentium II, 
   Pentium III, Xeon etc. You will obviously need the actual microcode
   binary data itself which is not shipped with the Linux kernel. 
-  With this support compiled you can use dd(1) to write microcode,
-  for example:
-
-     # dd if=/etc/microcode of=/dev/cpu/microcode bs=98304 count=1
+  You also need to say Y to "/dev file system support" in 'File systems'
+  section of the kernel configuration menu.
 
   You need to be superuser to do that. For latest news and information
   on obtaining all the required ingredients for this driver, check:
diff -urN -X dontdiff linux/arch/i386/config.in linux-cleanup/arch/i386/config.in
--- linux/arch/i386/config.in	Fri Mar 10 10:27:12 2000
+++ linux-cleanup/arch/i386/config.in	Fri Mar 10 16:57:09 2000
@@ -50,9 +50,7 @@
    define_bool CONFIG_X86_PGE y
 fi
 
-if [ "$CONFIG_DEVFS_FS" = "y" ]; then
-   tristate '/dev/cpu/microcode - Intel P6 CPU microcode support' CONFIG_MICROCODE
-fi
+tristate '/dev/cpu/microcode - Intel P6 CPU microcode support' CONFIG_MICROCODE
 
 choice 'High Memory Support' \
 	"off    CONFIG_NOHIGHMEM \
diff -urN -X dontdiff linux/arch/ia64/config.in linux-cleanup/arch/ia64/config.in
--- linux/arch/ia64/config.in	Fri Mar 10 10:27:12 2000
+++ linux-cleanup/arch/ia64/config.in	Fri Mar 10 16:57:09 2000
@@ -35,7 +35,7 @@
 	define_bool CONFIG_IA64_SOFTSDV_HACKS y
 fi
 
-define_bool CONFIG_KCORE_ELF y	# On IA-64, we always want an ELF /dev/kcore.
+define_bool CONFIG_KCORE_ELF y	# On IA-64, we always want an ELF /proc/kcore.
 
 bool 'SMP support' CONFIG_SMP n
 bool 'Performance monitor support' CONFIG_PERFMON n
diff -urN -X dontdiff linux/fs/bfs/dir.c linux-cleanup/fs/bfs/dir.c
--- linux/fs/bfs/dir.c	Sun Feb 27 04:33:04 2000
+++ linux-cleanup/fs/bfs/dir.c	Fri Mar 10 16:57:09 2000
@@ -182,7 +182,7 @@
 	}
 	de->ino = 0;
 	dir->i_version = ++event;
-	mark_buffer_dirty(bh, 1);
+	mark_buffer_dirty(bh, 0);
 	dir->i_ctime = dir->i_mtime = CURRENT_TIME;
 	mark_inode_dirty(dir);
 	inode->i_nlink--;
@@ -242,7 +242,7 @@
 		new_inode->i_ctime = CURRENT_TIME;
 		mark_inode_dirty(new_inode);
 	}
-	mark_buffer_dirty(old_bh, 1);
+	mark_buffer_dirty(old_bh, 0);
 	error = 0;
 
 end_rename:
@@ -294,7 +294,7 @@
 				de->ino = ino;
 				for (i=0; i<BFS_NAMELEN; i++)
 					de->name[i] = (i < namelen) ? name[i] : 0;
-				mark_buffer_dirty(bh, 1);
+				mark_buffer_dirty(bh, 0);
 				brelse(bh);
 				return 0;
 			}
diff -urN -X dontdiff linux/fs/bfs/file.c linux-cleanup/fs/bfs/file.c
--- linux/fs/bfs/file.c	Sun Feb 27 04:33:04 2000
+++ linux-cleanup/fs/bfs/file.c	Fri Mar 10 16:57:09 2000
@@ -33,7 +33,7 @@
 		return -EIO;
 	new = getblk(dev, to, BFS_BSIZE);
 	memcpy(new->b_data, bh->b_data, bh->b_size);
-	mark_buffer_dirty(new, 1);
+	mark_buffer_dirty(new, 0);
 	bforget(bh);
 	brelse(new);
 	return 0;
diff -urN -X dontdiff linux/fs/bfs/inode.c linux-cleanup/fs/bfs/inode.c
--- linux/fs/bfs/inode.c	Fri Mar 10 10:27:13 2000
+++ linux-cleanup/fs/bfs/inode.c	Fri Mar 10 16:57:09 2000
@@ -124,7 +124,7 @@
 	di->i_eblock = inode->iu_eblock;
 	di->i_eoffset = di->i_sblock * BFS_BSIZE + inode->i_size - 1;
 
-	mark_buffer_dirty(bh, 1);
+	mark_buffer_dirty(bh, 0);
 	brelse(bh);
 }
 
@@ -165,7 +165,7 @@
 	}
 	di->i_ino = 0;
 	di->i_sblock = 0;
-	mark_buffer_dirty(bh, 1);
+	mark_buffer_dirty(bh, 0);
 	brelse(bh);
 
 	/* if this was the last file, make the previous 
diff -urN -X dontdiff linux/include/linux/fs.h linux-cleanup/include/linux/fs.h
--- linux/include/linux/fs.h	Fri Mar 10 10:27:13 2000
+++ linux-cleanup/include/linux/fs.h	Fri Mar 10 16:57:09 2000
@@ -181,8 +181,6 @@
 extern void file_table_init(void);
 extern void dcache_init(void);
 
-typedef char buffer_block[BLOCK_SIZE];
-
 /* bh state bits */
 #define BH_Uptodate	0	/* 1 if the buffer contains valid data */
 #define BH_Dirty	1	/* 1 if the buffer is dirty */
diff -urN -X dontdiff linux/kernel/signal.c linux-cleanup/kernel/signal.c
--- linux/kernel/signal.c	Fri Jan 21 17:48:31 2000
+++ linux-cleanup/kernel/signal.c	Fri Mar 10 16:57:09 2000
@@ -39,6 +39,8 @@
 				  sizeof(struct signal_queue),
 				  __alignof__(struct signal_queue),
 				  SIG_SLAB_DEBUG, NULL, NULL);
+	if (!signal_queue_cachep)
+		panic("signals_init(): cannot create signal_queue SLAB cache");
 }
 
 
diff -urN -X dontdiff linux/mm/filemap.c linux-cleanup/mm/filemap.c
--- linux/mm/filemap.c	Mon Feb 21 19:27:23 2000
+++ linux-cleanup/mm/filemap.c	Fri Mar 10 16:57:09 2000
@@ -954,8 +954,7 @@
  */
 void do_generic_file_read(struct file * filp, loff_t *ppos, read_descriptor_t * desc, read_actor_t actor)
 {
-	struct dentry *dentry = filp->f_dentry;
-	struct inode *inode = dentry->d_inode;
+	struct inode *inode = filp->f_dentry->d_inode;
 	struct address_space *mapping = inode->i_mapping;
 	unsigned long index, offset;
 	struct page *cached_page;
@@ -1307,8 +1306,7 @@
 {
 	int error;
 	struct file *file = area->vm_file;
-	struct dentry *dentry = file->f_dentry;
-	struct inode *inode = dentry->d_inode;
+	struct inode *inode = file->f_dentry->d_inode;
 	struct address_space *mapping = inode->i_mapping;
 	struct page *page, **hash, *old_page;
 	unsigned long size = (inode->i_size + PAGE_CACHE_SIZE - 1) >> PAGE_CACHE_SHIFT;
